<?php

namespace PHPMaker2024\laundrytech;

// Page object
$JobtypesView = &$Page;
?>
<?php if (!$Page->isExport()) { ?>
<div class="btn-toolbar ew-toolbar">
<?php $Page->ExportOptions->render("body") ?>
<?php $Page->OtherOptions->render("body") ?>
</div>
<?php } ?>
<?php $Page->showPageHeader(); ?>
<?php
$Page->showMessage();
?>
<main class="view">
<form name="fjobtypesview" id="fjobtypesview" class="ew-form ew-view-form overlay-wrapper" action="<?= CurrentPageUrl(false) ?>" method="post" novalidate autocomplete="off">
<?php if (!$Page->isExport()) { ?>
<script>
var currentTable = <?= JsonEncode($Page->toClientVar()) ?>;
ew.deepAssign(ew.vars, { tables: { jobtypes: currentTable } });
var currentPageID = ew.PAGE_ID = "view";
var currentForm;
var fjobtypesview;
loadjs.ready(["wrapper", "head"], function () {
    let $ = jQuery;
    let fields = currentTable.fields;

    // Form object
    let form = new ew.FormBuilder()
        .setId("fjobtypesview")
        .setPageId("view")
        .build();
    window[form.id] = form;
    currentForm = form;
    loadjs.done(form.id);
});
</script>
<script>
loadjs.ready("head", function () {
    // Write your table-specific client script here, no need to add script tags.
});
</script>
<?php } ?>
<?php if (Config("CHECK_TOKEN")) { ?>
<input type="hidden" name="<?= $TokenNameKey ?>" value="<?= $TokenName ?>"><!-- CSRF token name -->
<input type="hidden" name="<?= $TokenValueKey ?>" value="<?= $TokenValue ?>"><!-- CSRF token value -->
<?php } ?>
<input type="hidden" name="t" value="jobtypes">
<input type="hidden" name="modal" value="<?= (int)$Page->IsModal ?>">
<table class="<?= $Page->TableClass ?>">
<?php if ($Page->jobtypeid->Visible) { // jobtypeid ?>
    <tr id="r_jobtypeid"<?= $Page->jobtypeid->rowAttributes() ?>>
        <td class="<?= $Page->TableLeftColumnClass ?>"><span id="elh_jobtypes_jobtypeid"><?= $Page->jobtypeid->caption() ?></span></td>
        <td data-name="jobtypeid"<?= $Page->jobtypeid->cellAttributes() ?>>
<span id="el_jobtypes_jobtypeid">
<span<?= $Page->jobtypeid->viewAttributes() ?>>
<?= $Page->jobtypeid->getViewValue() ?></span>
</span>
</td>
    </tr>
<?php } ?>
<?php if ($Page->jobTypeName->Visible) { // jobTypeName ?>
    <tr id="r_jobTypeName"<?= $Page->jobTypeName->rowAttributes() ?>>
        <td class="<?= $Page->TableLeftColumnClass ?>"><span id="elh_jobtypes_jobTypeName"><?= $Page->jobTypeName->caption() ?></span></td>
        <td data-name="jobTypeName"<?= $Page->jobTypeName->cellAttributes() ?>>
<span id="el_jobtypes_jobTypeName">
<span<?= $Page->jobTypeName->viewAttributes() ?>>
<?= $Page->jobTypeName->getViewValue() ?></span>
</span>
</td>
    </tr>
<?php } ?>
</table>
</form>
</main>
<?php
$Page->showPageFooter();
echo GetDebugMessage();
?>
<?php if (!$Page->isExport()) { ?>
<script>
loadjs.ready("load", function () {
    // Write your table-specific startup script here, no need to add script tags.
});
</script>
<?php } ?>
